Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/locations/{locationId}/voice-assistants

Get voice listings for a location

This API retrieves all voice assistant listings associated with a specific location.

Available Voice Assistants:

  • Google Assistant
  • Cortana
  • Alexa
  • Siri
  • Bixby

Response Includes:

  • Sync status – Indicates whether the listing is successfully synced.
  • Connection details – Provides integration status with each voice assistant.
  • Potential issues – Highlights any errors preventing successful sync.
Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Path

NameTypeRequiredDescription
locationIdstringrequiredThe unique identifier of the location

Headers

NameTypeRequiredDescription
Content-Typestringrequired

Request

Request
curl -X GET 'https://api.synup.com/api/v4/locations/:locationId/voice-assistants' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Voice listings retrieved successfully
400Bad request - invalid location ID
401Unauthorized - invalid or missing API key
403Forbidden - insufficient permissions
404Location not found
Example response
{
  "data": {
    "voiceAssistantsForLocation": [
      {
        "databaseId": "72246903",
        "actionRequired": false,
        "connectedAccountId": "2311f31a-ad73-4e2c-a063-6ae4a9d4c705",
        "errors": [],
        "voiceIdentifier": "GOOGLE_ASSISTANT",
        "name": "Google Assistant",
        "syncStatus": "IN_PROGRESS",
        "syncIssue": null,
        "__typename": "VoiceAssistant"
      },
      {
        "databaseId": "72246683",
        "actionRequired": false,
        "connectedAccountId": null,
        "errors": [],
        "voiceIdentifier": "CORTANA",
        "name": "Cortana",
        "syncStatus": "IN_PROGRESS",
        "syncIssue": null,
        "__typename": "VoiceAssistant"
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.voiceAssistantsForLocationarray of objectoptional
data.voiceAssistantsForLocation[].databaseIdstringoptionalInternal database identifier
data.voiceAssistantsForLocation[].actionRequiredbooleanoptionalIndicates if user action is needed
data.voiceAssistantsForLocation[].connectedAccountIdstringoptionalID of the connected account if available
data.voiceAssistantsForLocation[].errorsarray of stringoptionalArray of error messages if any
data.voiceAssistantsForLocation[].voiceIdentifierstringoptionalUnique identifier for the voice assistant
GOOGLE_ASSISTANTCORTANAALEXASIRIBIXBY
data.voiceAssistantsForLocation[].namestringoptionalDisplay name of the voice assistant
data.voiceAssistantsForLocation[].syncStatusstringoptionalCurrent sync status
IN_PROGRESSCOMPLETEDFAILED
data.voiceAssistantsForLocation[].syncIssuestringoptionalDescription of any sync issues
data.voiceAssistantsForLocation[].__typenamestringoptionalGraphQL type name